summaryrefslogtreecommitdiff
path: root/~fauno
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-01-09 14:48:07 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-01-09 14:48:07 -0300
commitbd620b852c29c942213df91e6f567637979c394e (patch)
treed454a2e5e86a5da5ef1e1e735b54ba2001d2d3d9 /~fauno
parentba1db1c573bd9e332d8b21f8cb59eac7f48ee1ab (diff)
~fauno/mips64el-unknown-linux-gnu-gcc-base-4.6.2-1
Diffstat (limited to '~fauno')
-rw-r--r--~fauno/mips64el-unknown-linux-gnu-gcc-base/PKGBUILD58
1 files changed, 58 insertions, 0 deletions
diff --git a/~fauno/mips64el-unknown-linux-gnu-gcc-base/PKGBUILD b/~fauno/mips64el-unknown-linux-gnu-gcc-base/PKGBUILD
new file mode 100644
index 000000000..becc02cfe
--- /dev/null
+++ b/~fauno/mips64el-unknown-linux-gnu-gcc-base/PKGBUILD
@@ -0,0 +1,58 @@
+# $Id: PKGBUILD 60837 2011-12-18 22:34:22Z spupykin $
+# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
+
+_cross=mips64el-unknown-linux-gnu
+pkgname=${_cross}-gcc-base
+pkgver=4.6.2
+pkgrel=1
+pkgdesc="The GNU Compiler Collection"
+arch=(i686 x86_64)
+license=('GPL' 'LGPL')
+url="http://gcc.gnu.org"
+depends=("${_cross}-binutils" 'libmpc' 'libelf')
+options=(!libtool !emptydirs zipman docs !strip)
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-core-${pkgver}.tar.bz2)
+md5sums=('780f614ab18c7a9066dec6387d7490b2')
+
+build() {
+ cd $srcdir/gcc-$pkgver
+
+ export CFLAGS="-O2 -pipe"
+ export CXXFLAGS="-O2 -pipe"
+
+ [ $NOEXTRACT -eq 1 ] || rm -rf build
+ mkdir build
+ cd build
+
+ [ $NOEXTRACT -eq 1 ] || ../configure --prefix=/usr \
+ --target=${_cross} \
+ --host=${CHOST} \
+ --build=${CHOST} \
+ --enable-shared --disable-nls --enable-languages=c --enable-multilib \
+ --with-local-prefix=/usr/lib/${_cross} \
+ --with-as=/usr/bin/${_cross}-as --with-ld=/usr/bin/${_cross}-ld \
+ --with-sysroot=/usr/$CHOST/${_cross}
+
+ make all-gcc all-target-libgcc
+}
+
+package() {
+ cd $srcdir/gcc-$pkgver/build
+
+ export CFLAGS="-O2 -pipe"
+ export CXXFLAGS="-O2 -pipe"
+
+ make DESTDIR=$pkgdir install-gcc install-target-libgcc
+
+ rm -f $pkgdir/usr/share/man/man7/fsf-funding.7*
+ rm -f $pkgdir/usr/share/man/man7/gfdl.7*
+ rm -f $pkgdir/usr/share/man/man7/gpl.7*
+ rm -rf $pkgdir/usr/share/info
+
+ cp -r $pkgdir/usr/libexec/* $pkgdir/usr/lib/
+ rm -rf $pkgdir/usr/libexec
+
+ # strip it manually
+ strip $pkgdir/usr/bin/* 2>/dev/null || true
+ find $pkgdir/usr/lib -type f -exec ${_cross}-strip {} \; 2>/dev/null || true
+}